[Bug 120990] Re: backport gnash 0.8.0~cvs20070611.1016-1ubuntu3

Scott Kitterman ubuntu at kitterman.com
Sat Jul 14 15:57:05 BST 2007


** Description changed:

  Please backport gnash 0.8.0~cvs20070611.1016-1ubuntu3 from Gutsy to
- Feisty. This new upstream release works far much better.
+ Feisty. Built, installed, and fairly extensively tested for Feisty.
+ Debian/changelog since the current Feisty verion:
+ 
+ gnash (0.8.0~cvs20070611.1016-1ubuntu3) gutsy; urgency=low
+ 
+   * Rebuild for the libcurl transition mess.
+ 
+  -- Steve Kowalik <stevenk at ubuntu.com>  Thu,  5 Jul 2007 01:35:59 +1000
+ 
+ gnash (0.8.0~cvs20070611.1016-1ubuntu2) gutsy; urgency=low
+ 
+   * debian/control: add libgstreamer-plugins-base0.10-dev to fix ftbfs
+ 
+  -- Alexander Sack <asac at ubuntu.com>  Wed, 13 Jun 2007 09:41:59 +0200
+ 
+ gnash (0.8.0~cvs20070611.1016-1ubuntu1) gutsy; urgency=low
+ 
+   * debian/patches/gnash_easy_codec_install: initial version of easy codec
+     install patch for gnash
+   * debian/patches/series: adapt quilt series file accordingly
+   * debian/control: adapt Maintainer field for ubuntu upload
+   * debian/control: Depends, Recommends and Suggests for libgnash0 and libklash0
+     changed in preparation of easy-codec-installation:
+        demote gstreamer0.10-fluendo-mp3, gstreamer0.10-ffmpeg from Recommends to Suggests
+        promote gstreamer0.10-plugins-base, gstreamer0.10-alsa from Recommends to Depends
+ 
+  -- Alexander Sack <asac at ubuntu.com>  Tue, 12 Jun 2007 15:50:37 +0200
+ 
+ gnash (0.8.0~cvs20070611.1016-1) unstable; urgency=low
+ 
+   * New CVS snapshot 20070611.1016 from release-0-8-0 branch
+   * debian/libklash0.install, debian/control, debian/rules: produce libklash0
+     package and provide proper shlibs version info
+   * debian/patches/ming_headers.patch: resurrect ming_headers patch that was
+     previously reverted
+   * debian/patches/exclude-testsuite-from-built: add patch to exclude
+     testsuite from being build
+   * debian/patches/no-kde-ldflags: take care that gnash binaries don't pull in
+     kde libs/depends
+   * debian/patches/series: update quilt series accordingly
+   * debian/rules: use --enable-renderer=opengl for now in order to build klash
+     without doing hackish stuff> * debian/control: omit extra whitespace before
+     Homepage: line *all* package descriptions
+   * debian/control: drop swfmill from build-depends (since we don't build the
+     testsuite atm)
+   * debian/control: add Alexander Sack <asac at jwsdot.com> to Uploaders field
+   * debian/control: new packages for kde: libklash0 and klash; fix depends of
+     konqueror-plugin-gnash package accordingly
+   * debian/control: drop libsdl1.2-dev, libsdl-mixer1.2-dev, libfltk1.1-dev
+     from build-depends
+   * debian/control: use automake1.9 | automake in Build-Depends
+   * debian/control: don't support gstreamer 0.8 anymore -> drop from Build-Depends
+ 
+  -- Alexander Sack <asac at jwsdot.com>  Tue, 12 Jun 2007 14:10:00 +0200
+ 
+ gnash (0.7.2+cvs20070525.0721-1) unstable; urgency=low
+ 
+   * New Upstream Release. Downloaded from CVS.
+   * Added ming_headers.patch patch so that the missing definitions in ming
+     headers are available for the check. Closes: #425888
+ 
+  -- Miriam Ruiz <little_miry at yahoo.es>  Fri, 25 May 2007 07:21:23 +0000
+ 
+ gnash (0.7.2+cvs20070518.1557-1) unstable; urgency=low
+ 
+   * New Upstream Release. Downloaded from CVS.
+   * Depending on libcurl?-gnutls-dev instead of libcurl?-openssl-dev for
+     not depending on OpenSSL (incompatible with GPL license). Closes: #423884
+   * Closes: #423433 , memory corruption vulnerability in gnash, due to a out
+     of bounds memory access ( http://savannah.gnu.org/bugs/?19774 )
+   * gstreamer0.10-audiosink is a virtual package, modifying control.
+   * Updated dependencies to use libcurl4 instead of libcurl3.
+   * Depending on swfmill for check (as well as from ming and mtasc)
+   * Make check is fatal error now.
+   * Upload sponsored by Petter Reinholdtsen.
+ 
+  -- Miriam Ruiz <little_miry at yahoo.es>  Fri, 18 May 2007 15:57:38 +0000
+ 
+ gnash (0.7.2+cvs20070512.1527-1) unstable; urgency=low
+ 
+   * New Upstream Release. Downloaded from CVS.
+     + YouTube seems to be working now
+       http://lists.gnu.org/archive/html/gnash-dev/2007-05/msg00000.html
+   * Enabled gstreamer in configure: --enable-gstreamer --enable-media=gst
+   * Changed to use AGG renderer now: --enable-renderer=agg
+   * Added build dependency: libagg-dev
+   * gstreamer0.10-plugins-base, gstreamer0.10-alsa, gstreamer0.10-ffmpeg,
+     and gstreamer0.10-audiosink are needed for YouTube. Added as recommends
+       http://www.mail-archive.com/gnash@gnu.org/msg00624.html
+   * Added gstreamer0.10-fluendo-mp3 to recommends in libgnash0
+   * Upload sponsored by Petter Reinholdtsen.
+ 
+  -- Miriam Ruiz <little_miry at yahoo.es>  Sat, 12 May 2007 17:27:45 +0200
+ 
+ gnash (0.7.2+cvs20070428.1515-2) experimental; urgency=low
+ 
+   * Added binary package: cygnal (media server)
+   * Upload sponsored by Petter Reinholdtsen.
+ 
+  -- Miriam Ruiz <little_miry at yahoo.es>  Sat, 28 Apr 2007 21:45:12 +0200
+ 
+ gnash (0.7.2+cvs20070428.1515-1) unstable; urgency=low
+ 
+   * New Upstream Release. Downloaded from CVS.
+   * Added dependencies: libtool, libltdl3, libboost-date-time-dev,
+     libavcodec-dev, libavformat-dev
+   * Added dependencies for checking: libming-dev, libming-util, mtasc
+   * Removed binary package: klash (KDE-based standalone player)
+   * Added binary package: cygnal (media server)
+   * Added #include <cctype> to server/StringPredicates.h so that it
+     compiles with gcc 4.3. Patch: gcc4.3.patch (Closes: #417210)
+   * Added link to iceweasel plugins directory (Closes: #399920)
+   * Upload sponsored by Petter Reinholdtsen.
+ 
+  -- Miriam Ruiz <little_miry at yahoo.es>  Thu, 26 Apr 2007 10:29:52 +0200

** Summary changed:

- backport gnash 0.8.0~cvs20070611.1016-1ubuntu3
+ backport gnash 0.8.0~cvs20070611.1016-1ubuntu3 from Gutsy to Feisty

** Changed in: feisty-backports (upstream)
   Importance: Undecided => Wishlist
       Status: Confirmed => In Progress

** Description changed:

  Please backport gnash 0.8.0~cvs20070611.1016-1ubuntu3 from Gutsy to
  Feisty. Built, installed, and fairly extensively tested for Feisty.
- Debian/changelog since the current Feisty verion:
+ Debian/changelog since the current Feisty version:
  
  gnash (0.8.0~cvs20070611.1016-1ubuntu3) gutsy; urgency=low
  
    * Rebuild for the libcurl transition mess.
  
   -- Steve Kowalik <stevenk at ubuntu.com>  Thu,  5 Jul 2007 01:35:59 +1000
  
  gnash (0.8.0~cvs20070611.1016-1ubuntu2) gutsy; urgency=low
  
    * debian/control: add libgstreamer-plugins-base0.10-dev to fix ftbfs
  
   -- Alexander Sack <asac at ubuntu.com>  Wed, 13 Jun 2007 09:41:59 +0200
  
  gnash (0.8.0~cvs20070611.1016-1ubuntu1) gutsy; urgency=low
  
    * debian/patches/gnash_easy_codec_install: initial version of easy codec
      install patch for gnash
    * debian/patches/series: adapt quilt series file accordingly
    * debian/control: adapt Maintainer field for ubuntu upload
    * debian/control: Depends, Recommends and Suggests for libgnash0 and libklash0
      changed in preparation of easy-codec-installation:
         demote gstreamer0.10-fluendo-mp3, gstreamer0.10-ffmpeg from Recommends to Suggests
         promote gstreamer0.10-plugins-base, gstreamer0.10-alsa from Recommends to Depends
  
   -- Alexander Sack <asac at ubuntu.com>  Tue, 12 Jun 2007 15:50:37 +0200
  
  gnash (0.8.0~cvs20070611.1016-1) unstable; urgency=low
  
    * New CVS snapshot 20070611.1016 from release-0-8-0 branch
    * debian/libklash0.install, debian/control, debian/rules: produce libklash0
      package and provide proper shlibs version info
    * debian/patches/ming_headers.patch: resurrect ming_headers patch that was
      previously reverted
    * debian/patches/exclude-testsuite-from-built: add patch to exclude
      testsuite from being build
    * debian/patches/no-kde-ldflags: take care that gnash binaries don't pull in
      kde libs/depends
    * debian/patches/series: update quilt series accordingly
    * debian/rules: use --enable-renderer=opengl for now in order to build klash
      without doing hackish stuff> * debian/control: omit extra whitespace before
      Homepage: line *all* package descriptions
    * debian/control: drop swfmill from build-depends (since we don't build the
      testsuite atm)
    * debian/control: add Alexander Sack <asac at jwsdot.com> to Uploaders field
    * debian/control: new packages for kde: libklash0 and klash; fix depends of
      konqueror-plugin-gnash package accordingly
    * debian/control: drop libsdl1.2-dev, libsdl-mixer1.2-dev, libfltk1.1-dev
      from build-depends
    * debian/control: use automake1.9 | automake in Build-Depends
    * debian/control: don't support gstreamer 0.8 anymore -> drop from Build-Depends
  
   -- Alexander Sack <asac at jwsdot.com>  Tue, 12 Jun 2007 14:10:00 +0200
  
  gnash (0.7.2+cvs20070525.0721-1) unstable; urgency=low
  
    * New Upstream Release. Downloaded from CVS.
    * Added ming_headers.patch patch so that the missing definitions in ming
      headers are available for the check. Closes: #425888
  
   -- Miriam Ruiz <little_miry at yahoo.es>  Fri, 25 May 2007 07:21:23 +0000
  
  gnash (0.7.2+cvs20070518.1557-1) unstable; urgency=low
  
    * New Upstream Release. Downloaded from CVS.
    * Depending on libcurl?-gnutls-dev instead of libcurl?-openssl-dev for
      not depending on OpenSSL (incompatible with GPL license). Closes: #423884
    * Closes: #423433 , memory corruption vulnerability in gnash, due to a out
      of bounds memory access ( http://savannah.gnu.org/bugs/?19774 )
    * gstreamer0.10-audiosink is a virtual package, modifying control.
    * Updated dependencies to use libcurl4 instead of libcurl3.
    * Depending on swfmill for check (as well as from ming and mtasc)
    * Make check is fatal error now.
    * Upload sponsored by Petter Reinholdtsen.
  
   -- Miriam Ruiz <little_miry at yahoo.es>  Fri, 18 May 2007 15:57:38 +0000
  
  gnash (0.7.2+cvs20070512.1527-1) unstable; urgency=low
  
    * New Upstream Release. Downloaded from CVS.
      + YouTube seems to be working now
        http://lists.gnu.org/archive/html/gnash-dev/2007-05/msg00000.html
    * Enabled gstreamer in configure: --enable-gstreamer --enable-media=gst
    * Changed to use AGG renderer now: --enable-renderer=agg
    * Added build dependency: libagg-dev
    * gstreamer0.10-plugins-base, gstreamer0.10-alsa, gstreamer0.10-ffmpeg,
      and gstreamer0.10-audiosink are needed for YouTube. Added as recommends
        http://www.mail-archive.com/gnash@gnu.org/msg00624.html
    * Added gstreamer0.10-fluendo-mp3 to recommends in libgnash0
    * Upload sponsored by Petter Reinholdtsen.
  
   -- Miriam Ruiz <little_miry at yahoo.es>  Sat, 12 May 2007 17:27:45 +0200
  
  gnash (0.7.2+cvs20070428.1515-2) experimental; urgency=low
  
    * Added binary package: cygnal (media server)
    * Upload sponsored by Petter Reinholdtsen.
  
   -- Miriam Ruiz <little_miry at yahoo.es>  Sat, 28 Apr 2007 21:45:12 +0200
  
  gnash (0.7.2+cvs20070428.1515-1) unstable; urgency=low
  
    * New Upstream Release. Downloaded from CVS.
    * Added dependencies: libtool, libltdl3, libboost-date-time-dev,
      libavcodec-dev, libavformat-dev
    * Added dependencies for checking: libming-dev, libming-util, mtasc
    * Removed binary package: klash (KDE-based standalone player)
    * Added binary package: cygnal (media server)
    * Added #include <cctype> to server/StringPredicates.h so that it
      compiles with gcc 4.3. Patch: gcc4.3.patch (Closes: #417210)
    * Added link to iceweasel plugins directory (Closes: #399920)
    * Upload sponsored by Petter Reinholdtsen.
  
   -- Miriam Ruiz <little_miry at yahoo.es>  Thu, 26 Apr 2007 10:29:52 +0200

-- 
backport gnash 0.8.0~cvs20070611.1016-1ubuntu3 from Gutsy to Feisty
https://bugs.launchpad.net/bugs/120990
You received this bug notification because you are a member of Ubuntu
Backporters, which is the registrant for Feisty Backports.



More information about the ubuntu-backports mailing list